Javascript-форум (https://javascript.ru/forum/)
-   jQuery (https://javascript.ru/forum/jquery/)
-   -   Не могу подогнать старый jQuery скрипт до версии 1.42 (https://javascript.ru/forum/jquery/14501-ne-mogu-podognat-staryjj-jquery-skript-do-versii-1-42-a.html)

artnik 19.01.2011 12:17

Не могу подогнать старый jQuery скрипт до версии 1.42
 
Добрый день!

Есть небольшой скрипт который подходит для jQuery v1.24. Из-за этого на сайт приходится подключать две библиотеки jQuery 1.42 и 1.24, что придает нагрузку на пользователей и может вызывать несовместимоти других модулей.

Вот сам скрипт:
(function($){

    jQuery.fn.extend({
        check: function() {
            return this.each(function() { this.checked = true; });
        },
        uncheck: function() {
            return this.each(function() { this.checked = false; });
        }
    });
    
    
    $.fn.s3Capcha = function(vars) {       
        var element     = this;
        var spans       = $("#" + element[0].id + " div span");
        var radios      = $("#" + element[0].id + " div span input");
        var images      = $("#" + element[0].id + " div .img");
        // hide radios //
        spans.css({'display':'none'});
        // show images //
        images.css({'display':'block'});
        
        images.each(function(i) {
            $(images[i]).click(function() {
               images.css({'background-position':'bottom left'});
               $(images[i]).css({'background-position':'top left'});
               $(radios[i]).check();
            });
        });
        
    }

})(jQuery);


Помогите, пожалуйста, подстроить его под v1.42. Заранее спасибо.

artnik 19.01.2011 17:02

Тут есть кто живой?
P.S.: Забыл сказать. Это скрипт вот этой каптчи http://www.serie3.info/s3capcha/demonstration.php


Часовой пояс GMT +3, время: 19:31.